from functools import wraps

from pdp_pipeline_core.core import logger


def logit(func):
    @wraps(func)
    def function_wrapper(*args, **kwargs):
        logger.info("{0} begins".format(func.__name__))

        value = func(*args, **kwargs)

        logger.info("{0} ends".format(func.__name__))

        return value

    return function_wrapper
